package com.zd.airbottle.service;

import com.zd.airbottle.domain.QpSpecification;
import com.zd.airbottle.domain.dto.QpSpecificationDto;
import com.zd.airbottle.domain.vo.QpSpecificationVo;

import java.util.List;

/**
 * 气瓶规格Service接口
 *
 * @author zd
 * @date 2022-05-09
 */
public interface IQpSpecificationService
{
    /**
     * 查询气瓶规格
     *
     * @param id 气瓶规格主键
     * @return 气瓶规格
     */
    QpSpecification selectQpSpecificationById(Long id);

    /**
     * 根据ID查询气瓶规格详情
     * @param id 气瓶规格主键
     * @return 气瓶规格显示类
     */
    QpSpecificationVo getById(Long id);

    /**
     * 查询气瓶规格列表
     *
     * @param qpSpecification 气瓶规格
     * @return 气瓶规格集合
     */
    List<QpSpecification> selectQpSpecificationList(QpSpecification qpSpecification);

    /**
     * 查询气瓶规格列表
     *
     * @param list 气瓶规格
     * @return 气瓶规格集合
     */
    List<QpSpecificationVo> list(List<QpSpecification> list);

    /**
     * 新增气瓶规格
     *
     * @param specificationDto 气瓶规格
     * @return 结果
     */
    int insertQpSpecification(QpSpecificationDto specificationDto);

    /**
     * 修改气瓶规格
     *
     * @param specificationDto 气瓶规格
     * @return 结果
     */
    int updateQpSpecification(QpSpecificationDto specificationDto);

    /**
     * 批量删除气瓶规格
     *
     * @param ids 需要删除的气瓶规格主键集合
     * @return 结果
     */
    int deleteQpSpecificationByIds(Long[] ids);

    /**
     * 删除气瓶规格信息
     *
     * @param id 气瓶规格主键
     * @return 结果
     */
    int deleteQpSpecificationById(Long id);
}
